export class ExperimentAdditionalProperties1701942025035 {
    name = 'ExperimentAdditionalProperties1701942025035';
    async up(queryRunner) {
        await queryRunner.query(`CREATE TABLE "temporary_Experiment" ("uuid" varchar PRIMARY KEY NOT NULL, "status" varchar NOT NULL, "bookingStart" varchar, "bookingEnd" varchar, "bookingID" varchar, "deletedAt" datetime, "additionalAttributes" text NOT NULL)`);
        await queryRunner.query(`INSERT INTO "temporary_Experiment"("uuid", "status", "bookingStart", "bookingEnd", "bookingID", "deletedAt") SELECT "uuid", "status", "bookingStart", "bookingEnd", "bookingID", "deletedAt" FROM "Experiment"`);
        await queryRunner.query(`DROP TABLE "Experiment"`);
        await queryRunner.query(`ALTER TABLE "temporary_Experiment" RENAME TO "Experiment"`);
    }
    async down(queryRunner) {
        await queryRunner.query(`ALTER TABLE "Experiment" RENAME TO "temporary_Experiment"`);
        await queryRunner.query(`CREATE TABLE "Experiment" ("uuid" varchar PRIMARY KEY NOT NULL, "status" varchar NOT NULL, "bookingStart" varchar, "bookingEnd" varchar, "bookingID" varchar, "deletedAt" datetime)`);
        await queryRunner.query(`INSERT INTO "Experiment"("uuid", "status", "bookingStart", "bookingEnd", "bookingID", "deletedAt") SELECT "uuid", "status", "bookingStart", "bookingEnd", "bookingID", "deletedAt" FROM "temporary_Experiment"`);
        await queryRunner.query(`DROP TABLE "temporary_Experiment"`);
    }
}
//# sourceMappingURL=1701942025035-ExperimentAdditionalProperties.js.map